Status: Resolved Priority: Could have
Author: Tim Wagner Category:
Affected Flow version:
Subject: Problems with declare(ENCODING = 'utf-8'); in file header
Description

On MAC OS X 10.6.7 with default PHP installation (no Ports) every time you call command ./flow3_dev or ./flow3 it leads to the
following error:

[09-Jun-2011 20:30:25] PHP Parse error:  syntax error, unexpected '*', expecting ',' or ')' in
/private/var/www/flow3/Packages/Framework/FLOW3/Scripts/flow3 on line 3

The same error occurs when requesting the welcome page on the browser.

After removing declare(ENCODING = 'utf-8'); from each files header FLOW3 works as expected.

History
#1 - 2011-06-10 20:53 - Karsten Dambekalns
- Status changed from New to Accepted
- Assigned To set to Karsten Dambekalns
- Target version set to 1.0 beta 1

#2 - 2011-06-11 01:22 - Karsten Dambekalns

See here for more on this: http://lists.typo3.org/pipermail/flow3-general/2009-December/000042.html

#3 - 2011-06-11 01:39 - Karsten Dambekalns

Another update: you can have either line 1 or 3, but not both and it will work:

#!/usr/bin/env php
<?php
declare(ENCODING = 'utf-8');

#4 - 2011-06-13 06:27 - Karsten Dambekalns
- Status changed from Accepted to Under Review

#5 - 2011-07-06 16:01 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
